%define oname grub2-editor

Summary:	Plasma 5 control module for Grub2
Name:		plasma5-kcm-grub2
Version:	0.7.0
Release:	5
License:	GPLv2
Group:		Graphical desktop/KDE
Url:		https://github.com/maz-1/grub2-editor
Source0:	%{oname}-%{version}.tar.gz
Source1:	kcm-grub2.po
Patch0:		grub2-editor-0.7.0-l10n.patch
Patch1:		grub2-editor-0.7.0-null-pointer-check.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	grub2
BuildRequires:	kf5auth-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5solid-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(hwinfo)
BuildRequires:	pkgconfig(MagickCore)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Widgets)
Conflicts:	kcm-grub2

%description
Plasma 5 control podule for configuring the GRUB2 bootloader.
Unofficial KF5 port.

%files -f kcm-grub2.lang
%{_kde5_libexecdir}/kauth/kcmgrub2helper
%{_kde5_services}/kcm_grub2.desktop
%{_datadir}/dbus-1/system-services/org.kde.kcontrol.kcmgrub2.service
%{_datadir}/polkit-1/actions/org.kde.kcontrol.kcmgrub2.policy
%{_qt5_plugindir}/kcm_grub2.so
%{_sysconfdir}/dbus-1/system.d/org.kde.kcontrol.kcmgrub2.conf

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1
%patch1 -p1
cp -f %{SOURCE1} po/ru/kcm-grub2.po

%build
%cmake_kde5 \
	-DGRUB_INSTALL_EXE="%{_sbindir}/grub2-install" \
	-DGRUB_MKCONFIG_EXE="%{_sbindir}/grub2-mkconfig" \
	-DGRUB_PROBE_EXE="%{_sbindir}/grub2-probe" \
	-DGRUB_SET_DEFAULT_EXE="%{_sbindir}/grub2-set-default" \
	-DGRUB_MAKE_PASSWD_EXE="%{_bindir}/grub2-mkpasswd-pbkdf2" \
	-DGRUB_MENU="/boot/grub2/grub.cfg" \
	-DGRUB_ENV="/boot/grub2/grubenv" \
	-DGRUB_CONFIG="%{_sysconfdir}/default/grub" \
	-DGRUB_MEMTEST="%{_sysconfdir}/grub.d/20_memtest86+" \
	-DGRUB_CONFIGDIR="%{_sysconfdir}/grub.d" \
	-DGRUB_SECURITY="01_header_passwd"
%make

%install
%makeinstall_std -C build

%find_lang kcm-grub2


%changelog

* Tue Nov 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.7.0-5
- (8a52887) Check for NULL pointer to avoid segfaults


